"""LAR Change JSONL Data Handler"""
from ...datasource.jsonl.handler import BaseJsonlHandler
from ...datasource.jsonl.datasource import JsonlDataSource
from .sync_node import LarChangeSyncNode
from schemas.project_extensions.lar import LarChangeDetailSchema


class LarChangeJsonlHandler(BaseJsonlHandler):
    """LAR Change (移民变更) JSONL 数据处理器"""
    
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "lar_change", LarChangeSyncNode, LarChangeDetailSchema)
